#include <gbittext.h>

#include "bit.inc"

void Gbittext::drawchar (int ascii)
{
    if ( (ascii < 0 || ascii > 0x7f)      || 
         (x < 0 || x > (maxx - minx - 7)) ||
         (y < 0 || y > (maxy - miny - 7))
       )
	error ("Gbittext::drawchar: can't draw ascii 0x%2.2x "
	                                              "at x = %d, y = %d\n"
	       "allowed: ascii = 0..0x7f, x = 0..%d, y = 0..%d",
	        ascii, x, y, 
	        maxx - minx - 7, maxy - miny - 7);
	
    register unsigned char
    	bits,
    	*bitmap = info + (ascii * 8);
	
    for (register int v = 0; v < 8; v++)
    {
    	bits = bitmap [v];
	for (register int h = 0; h < 8; h++)
	{
	    setcolor (bits & (1 << h) ? fg : bg);
	    drawpixel (minx + x + (7 - h), miny + y + v);
	}
    }
}
