#include <gwin.h>
#include <stdlib.h>

void Gwin::clear ()
{
    register int
	startx,
	endx,
	starty, 
	endy,
    	coord;
    	
    // let's see if the whole screen can be cleared.. faster
    if (whole_screen && background_color == 0)
    {
    	Graph::clearscreen ();
    	if (border_present)
    	    border ();
    	return;
    }

    // if only screen area:
    // clear with repetitive lines    	
    startx = x1 + border_present;
    endx   = x2 - border_present;
    starty = y1 + border_present;
    endy   = y2 - border_present;
    
    Graph::setcolor (background_color);
    
    switch (rand () % 4)
    {
    	case 0:
    	    for (coord = startx; coord <= endx; coord++)
    		Graph::drawline (coord, starty, coord, endy);
    	    break;
    	    
    	case 1:
    	    for (coord = endx; coord >= startx; coord--)
    	    	Graph::drawline (coord, starty, coord, endy);
    	    break;
    	    
    	case 2:
    	    for (coord = starty; coord <= endy; coord++)
    	    	Graph::drawline (startx, coord, endx, coord);
    	    break;
    	    
    	default:
    	    for (coord = endy; coord >= starty; coord--)
    	    	Graph::drawline (startx, coord, endx, coord);
    }	    	
}
 
