#include <gwin.h>

void Gwin::setscreencoord (int xa, int ya, int xb, int yb)
{
    register int
    	xmax,
    	ymax;
    	
    xmax = Graph::getxdim () - 1;
    ymax = Graph::getydim () - 1;
    
    if (xa < 0 || ya < 0 || xb > xmax || yb > ymax || xa >= xb || ya >= yb)
	error ("Gwin::setscreencoord: coordinates out of range for this mode\n"
	       "max. available: x = 0..%d, y = 0..%d\n"
	       "requested:      x1 = %d, y1 = %d, x2 = %d, y2 = %d",
	       xmax, ymax, xa, ya, xb, yb);
	
    x1 = xa;
    y1 = ya;
    x2 = xb;
    y2 = yb;
    
    width  = x2 - x1;
    height = y2 - y1;
    
    if (x1 == 0 && y1 == 0 && x2 == xmax && y2 == ymax)
        whole_screen = 1;
    else
    	whole_screen = 0;
}
